osgShadow::ViewDependentShadowMap::Frustum Struct Reference

`#include <ViewDependentShadowMap>`

## Public Types

typedef std::vector< osg::Vec3d > | Vertices
typedef std::vector< unsigned int > | Indices
typedef std::vector< Indices > | Faces
typedef std::vector< Indices > | Edges

## Public Member Functions

| Frustum (osgUtil::CullVisitor *cv, double minZNear, double maxZFar)

## Public Attributes

osg::Matrixd | projectionMatrix
osg::Matrixd | modelViewMatrix
Vertices | corners
Faces | faces
Edges | edges
osg::Vec3d | eye
osg::Vec3d | centerNearPlane
osg::Vec3d | centerFarPlane
osg::Vec3d | center
osg::Vec3d | frustumCenterLine

## Member Typedef Documentation

## Edges

typedef std::vector<Indices> osgShadow::ViewDependentShadowMap::Frustum::Edges

## Faces

typedef std::vector<Indices> osgShadow::ViewDependentShadowMap::Frustum::Faces

## Indices

typedef std::vector<unsigned int> osgShadow::ViewDependentShadowMap::Frustum::Indices

## Vertices

typedef std::vector<osg::Vec3d> osgShadow::ViewDependentShadowMap::Frustum::Vertices

## Constructor & Destructor Documentation

## Frustum()

osgShadow::ViewDependentShadowMap::Frustum::Frustum | ( | osgUtil::CullVisitor * | cv,
|  | double | minZNear,
|  | double | maxZFar )

## Member Data Documentation

## center

osg::Vec3d osgShadow::ViewDependentShadowMap::Frustum::center

## centerFarPlane

osg::Vec3d osgShadow::ViewDependentShadowMap::Frustum::centerFarPlane

## centerNearPlane

osg::Vec3d osgShadow::ViewDependentShadowMap::Frustum::centerNearPlane

## corners

Vertices osgShadow::ViewDependentShadowMap::Frustum::corners

## edges

Edges osgShadow::ViewDependentShadowMap::Frustum::edges

## eye

osg::Vec3d osgShadow::ViewDependentShadowMap::Frustum::eye

## faces

Faces osgShadow::ViewDependentShadowMap::Frustum::faces

## frustumCenterLine

osg::Vec3d osgShadow::ViewDependentShadowMap::Frustum::frustumCenterLine

## modelViewMatrix

osg::Matrixd osgShadow::ViewDependentShadowMap::Frustum::modelViewMatrix

## projectionMatrix

osg::Matrixd osgShadow::ViewDependentShadowMap::Frustum::projectionMatrix

The documentation for this struct was generated from the following file:

- ViewDependentShadowMap